Μετάβαση στο περιεχόμενο


Φωτογραφία
* * * * - 7 ψήφοι

Εγκαταστηστε εφαρμογες στο iphone ακομα και αν απαιτουν νεοτερη εκδοση iOS...


  • Παρακαλούμε συνδεθείτε για να απαντήσετε
111 μηνύματα σε αυτό το θέμα

#1   spiros23

spiros23

    iPH Guru

  • 9.284 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone X
  • Tablet:iPad

Δημοσίευση 01/10/2010 - 22:56

*
ΔΗΜΟΦΙΛΕΣ

Ενα κολπακι το οποιο μετα απο πολυ προσπαθεια το βρηκα επιτελους :blush:
Μπορει να φανει χρησιμος και σε καποιους αλλους για αυτο και το ποσταρω.
Εχει να κανει με καποιες εφαρμογες που κατεβαζουμε-αγοραζουμε απο το appstore και δεν μπορουμε να τις εγκαταστησουμε γιατι διπλα γραφει "iOS 4.1 required" για παραδειγμα, ενω εμεις εχουμε 4.0.1 η καποια αλλη εκδοση τελοσπαντων και μπορει να μην θελουμε να κανουμε update στο iphone μας.
Πριν πω οτιδηποτε αλλο, να τονισω οτι δεν ξερω αν λειτουργει σε ολες τις εφαρμογες, οπως επισης και αν θα λειτουργησει σε iphone τα οποια εχουν για παραδειγμα 2.2.1 μεσα και η εφαρμογη απαιτει 4.1 πχ... Οποιαδηποτε προσπαθεια ομως δεν νομιζω οτι μπορει να προκαλεσει προβλημα στην εφαρμογη η στο iphone, η εφαρμογη free-paid θα ξανακατεβει free φυσικα, και το iphone δεν το επηρεαζει τιποτα αφου και λαθος να γινει το itunes δεν θα αφησει την εφαρμογη να εγκατασταθει.
Γραφω λοιπον οτι ακριβως εκανα:
-Ανοιγω το itunes
-Παταω "apps" και βρισκω την εφαρμογη που εχω κατεβασει αλλα δεν μπορει να εγκατασταθει στο iphone
-Την "σερνω" στην επιφανεια εργασιας
-Δεξι κλικ στο εικονιδιο της εφαρμογης και ανοιγμα με winrar
-Εμφανιζονται 1 φακελος που ονομαζεται payload και 2 αλλα αρχεια, ανοιγουμε τον φακελο payload που περιεχει εναν φακελο με το ονομα της εφαρμογης, μεσα υπαρχουν διαφορα πραγματα, τα αφηνουμε ολα στην θεση τους και ψαχνουμε για το αρχειο "info.plist".
-Το επιλεγουμε και το αποσυμπιεζουμε στην επιφανεια εργασιας
-Εδω θα χρειαστουμε εναν plist editor. Κατι τετοιο (για windows) ειναι μια χαρα πιστευω
-Βρισκουμε στην επιφανεια εργασιας λοιπον το info.plist, δεξι κλικ, ανοιγμα με plist editor.
-Δεν πειραζουμε τιποτα και ψαχνουμε να βρουμε το σημειο που γραφει "MinimumOSVersion". εστω οτι γραφει 4.3 (λεμε τωρα), τον αλλαζουμε στην εκδοση λογισμικου που εχουμε (4.0.1 για παραδειγμα).
-Αποθηκευουμε το info.plist και το "σερνουμε" εκει που αρχικα ηταν στο winrar, και το αντικαθηστουμε.
-Κλεινουμε τα παντα ολα και σερνουμε την εφαρμογη στο itunes και παταμε replace.
-Συνδεουμε το iphone και εγκαθηστουμε στην εφαρμογη.

Αν ολα εχουν παει καλα η εφαρμογη εχει εγκατασταθει και λειτουργει κανονικα.
Μπορει σε καποιους να φαινονται αστεια και ευκολα ολα αυτα αλλα ισως καποιοι αλλοι να το βρουν χρησιμο. :)
Νομιζω δεν ξεχασα να πω κατι, αν εχετε καποια απορια -και μπορω να βοηθησω- θα το κανω φυσικα.

Ad

Ad

Team
iPhoneHellas
3,1416 μηνύματα
Twitter: @android
Φύλο: Όπως το δει κανείς
Κινητό: Android
Tablet: Για τα κουνούπια

Γιατί να γίνετε μέλη;

#2   DINFUN

DINFUN

    -

  • 16.182 μηνύματα
  • Φύλο: Άντρας

Δημοσίευση 01/10/2010 - 23:44

πολλες ερωτησεις εχουμε δεχθει πανω σε αυτο το θεμα.. για παλαιοτερες εκδοσεις υπηρχαν τροποι.. οπως το fake 3.1.3 απο cydia παροτι δημιουργουσε προβληματα το χρησιμοποιουσαμε..

πολυ εξυπνο αυτο εκανες.. θα βοηθησει. αρκετους απο εμας +1

#3   gziboman

gziboman

    iPH newbie

  • 5 μηνύματα
  • Φύλο: Άντρας

Δημοσίευση 01/10/2010 - 23:55

μπράβω πολύ καλό

#4   spiros23

spiros23

    iPH Guru

  • 9.284 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone X
  • Tablet:iPad

Δημοσίευση 02/10/2010 - 00:37

πολλες ερωτησεις εχουμε δεχθει πανω σε αυτο το θεμα.. για παλαιοτερες εκδοσεις υπηρχαν τροποι.. οπως το fake 3.1.3 απο cydia παροτι δημιουργουσε προβληματα το χρησιμοποιουσαμε..

πολυ εξυπνο αυτο εκανες.. θα βοηθησει. αρκετους απο εμας +1

το fake 3.1.3 το ειχα χρησιμοποιησει και εγω οταν ημουν στην 3.1.2 στο 3G οποτε δεν χρειαστηκε ποτε να κανω update στην 3.1.3 και ειχα κανει απευθειας στην 4.0 πιο μετα. τωρα δεν ξερω αν υπαρχει κατι αντιστοιχο απο iOS4 και μετα, αν και εψαξα δεν βρηκα κατι.
κατεβασα σημερα μια εφαρμογη η οποια απαιτει 4.1 και δεν ειχα καμια ορεξη να κανω update, οποτε σκεφτηκα στην αρχη να προσπαθησω να κανω κατι αντιστοιχο στο iphone με το fake 3.1.3 πχ, αλλα δυστυχως δεν βγηκε κατι και δεν εχω ιδεα καν αν μπορει να γινει ετσι απλα.
οποτε σκεφτηκα αυτο με την καθε εφαρμογη ξεχωριστα και τελικα λειτουργησε..
παντως να πω οτι αν φαινεται μπερδεμα ολο αυτο σε καποιους, ειναι πολυ πιο ευκολο αποτι δειχνει, απλα το εγραψα με οσο το δυνατον περισσοτερες λεπτομερειες.
χαιρομαι παντως που θα βοηθησει καποιους :)

#5   Noshiz

Noshiz

    iPH Addict

  • 669 μηνύματα
  • Φύλο: Άντρας
  • GameCenter:noshiz

Δημοσίευση 16/10/2010 - 01:52

φίλε έγραψες μπραβο σου!!! μόλις έβαλα ένα app που αγόρασα προχτές και δεν είχα προσέξει ότι ήταν για 4.1. τώρα δουλεύει τέλεια στην 4.0.1. Και πάλι μπραβο σου γιατί σκέφτηκες κάτι τόσο απλό αλλά και τόσο έξυπνο

#6   Crackbrain

Crackbrain

    iPH Addict

  • 806 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone 4S

Δημοσίευση 16/10/2010 - 03:25

Φίλε μου έφτιαξες τη μέρα!!!!!

#7   DioA11

DioA11

    iPH newbie

  • 61 μηνύματα
  • Φύλο: Άντρας

Δημοσίευση 16/10/2010 - 04:10

Πολυ καλο!

#8   bluescorpion

bluescorpion

    iPH User

  • 157 μηνύματα
  • Φύλο: Άντρας

Δημοσίευση 16/10/2010 - 04:25

συγχαρητηρια

#9   spiros23

spiros23

    iPH Guru

  • 9.284 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone X
  • Tablet:iPad

Δημοσίευση 18/10/2010 - 16:23

Ευχαριστώ παιδιά να στε καλά χαίρομαι που βοηθησε κάποιους αυτό. Περιμένω να μου πείτε για τυχόν προβλήματα.
Ένας φίλος με ρώτησε, συγκεκριμένα για το imovie, και αντιμετώπιζε κάποιο πρόβλημα στην επικόλληση του info.plist μετά την επεξεργασία. Η αλήθεια είναι ότι καμια εφαρμογή δεν είναι κατά μια έννοια κλειδωμένη, όλες μπορείς να τις επεξεργαστείς, απλά κάποιες μπορεί να μην λειτουργούν η να αντιμετωπίζουν προβλήματα σε παλιότερες εκδόσεις iOS, οποτε σε αυτές θα πρέπει να υποχρεωτικά να αναβαθμίσετε στην έκδοση που απαιτεί η εφαρμογή.. Επειδή το imovie το είχα δοκιμάσει και εγώ, εγκαταστάθηκε η εφαρμογή στο iphone όμως δεν εμφάνιζε το κανονικό εικονίδιο αλλα ένα λευκό και παρόλο που άνοιγε η εφαρμογή δεν μπορούσες να επιλέξεις τις περισσότερες επιλογές εκεί. Οποτε συγκεκριμένα για αυτήν (σίγουρα όλο και κάποιες άλλες θα υπάρχουν) δεν μπορεί να εγκατασταθεί σωστά η εφαρμογή. Σε όλες τις άλλες που δοκίμασα δεν υπάρχει κανένα πρόβλημα και παίζουν κανονικά.

#10   nsxbass

nsxbass

    iPH Guru

  • 9.366 μηνύματα
  • Twitter:@n1ckstrat
  • Φύλο: Άντρας
  • Κινητό: iPhone XS Max
  • GameCenter:nsxbass

Δημοσίευση 18/10/2010 - 17:04

Πάρα πολύ ωραίος φίλε! Να επιβεβαιώσω και το αυτονόητο ότι δλδ το ίδιο κόλπο δουλεύει και με σπασμένες εφαρμογές από τα γνωστά μαγαζάκια!

#11   juan13

juan13

    iPH newbie

  • 59 μηνύματα
  • Φύλο: Άντρας

Δημοσίευση 18/10/2010 - 17:57

Πολυ καλος ρε μαν

#12   vagelakis8

vagelakis8

    iPH Enthousiast

  • 466 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone X
  • Tablet:iPad Air +4G

Δημοσίευση 18/10/2010 - 18:20

Ενα κολπακι το οποιο μετα απο πολυ προσπαθεια το βρηκα επιτελους :blush:
Μπορει να φανει χρησιμος και σε καποιους αλλους για αυτο και το ποσταρω.
Εχει να κανει με καποιες εφαρμογες που κατεβαζουμε-αγοραζουμε απο το appstore και δεν μπορουμε να τις εγκαταστησουμε γιατι διπλα γραφει "iOS 4.1 required" για παραδειγμα, ενω εμεις εχουμε 4.0.1 η καποια αλλη εκδοση τελοσπαντων και μπορει να μην θελουμε να κανουμε update στο iphone μας.
Πριν πω οτιδηποτε αλλο, να τονισω οτι δεν ξερω αν λειτουργει σε ολες τις εφαρμογες, οπως επισης και αν θα λειτουργησει σε iphone τα οποια εχουν για παραδειγμα 2.2.1 μεσα και η εφαρμογη απαιτει 4.1 πχ... Οποιαδηποτε προσπαθεια ομως δεν νομιζω οτι μπορει να προκαλεσει προβλημα στην εφαρμογη η στο iphone, η εφαρμογη free-paid θα ξανακατεβει free φυσικα, και το iphone δεν το επηρεαζει τιποτα αφου και λαθος να γινει το itunes δεν θα αφησει την εφαρμογη να εγκατασταθει.
Γραφω λοιπον οτι ακριβως εκανα:
-Ανοιγω το itunes
-Παταω "apps" και βρισκω την εφαρμογη που εχω κατεβασει αλλα δεν μπορει να εγκατασταθει στο iphone
-Την "σερνω" στην επιφανεια εργασιας
-Δεξι κλικ στο εικονιδιο της εφαρμογης και ανοιγμα με winrar
-Εμφανιζονται 1 φακελος που ονομαζεται payload και 2 αλλα αρχεια, ανοιγουμε τον φακελο payload που περιεχει εναν φακελο με το ονομα της εφαρμογης, μεσα υπαρχουν διαφορα πραγματα, τα αφηνουμε ολα στην θεση τους και ψαχνουμε για το αρχειο "info.plist".
-Το επιλεγουμε και το αποσυμπιεζουμε στην επιφανεια εργασιας
-Εδω θα χρειαστουμε εναν plist editor. Κατι τετοιο (για windows) ειναι μια χαρα πιστευω
-Βρισκουμε στην επιφανεια εργασιας λοιπον το info.plist, δεξι κλικ, ανοιγμα με plist editor.
-Δεν πειραζουμε τιποτα και ψαχνουμε να βρουμε το σημειο που γραφει "MinimumOSVersion". εστω οτι γραφει 4.3 (λεμε τωρα), τον αλλαζουμε στην εκδοση λογισμικου που εχουμε (4.0.1 για παραδειγμα).
-Αποθηκευουμε το info.plist και το "σερνουμε" εκει που αρχικα ηταν στο winrar, και το αντικαθηστουμε.
-Κλεινουμε τα παντα ολα και σερνουμε την εφαρμογη στο itunes και παταμε replace.
-Συνδεουμε το iphone και εγκαθηστουμε στην εφαρμογη.

Αν ολα εχουν παει καλα η εφαρμογη εχει εγκατασταθει και λειτουργει κανονικα.
Μπορει σε καποιους να φαινονται αστεια και ευκολα ολα αυτα αλλα ισως καποιοι αλλοι να το βρουν χρησιμο. :)
Νομιζω δεν ξεχασα να πω κατι, αν εχετε καποια απορια -και μπορω να βοηθησω- θα το κανω φυσικα.


Φιλε εισαι απλα ΤΙΤΑΝΟΜΕΓΙΣΤΟΣ!!! σε Ευχαριστουμε!
+1

#13   Darkoulis

Darkoulis

    iPH Elite Poster

  • 2.295 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone 2G
  • Tablet:iPad Air 2 +4G
  • GameCenter:Darkoulis

Δημοσίευση 18/10/2010 - 18:48

προσπαθώ να το κάνω στο Today Lite Greek και δεν ποιάνει γμτ γιατί θέλω να το τρέχω σε 3.1.3 :(

Apple iPhone 5 64GB Black/Slate iOS 6.1.2 Apple iPad Air 2 64GB WiFi 4G White/Gold iOS 8.4


#14   redcom7

redcom7

    iPH Enthousiast

  • 531 μηνύματα
  • Twitter:@redcom7
  • Φύλο: Άντρας
  • Κινητό: Άλλο
  • Tablet:Άλλο

Δημοσίευση 18/10/2010 - 18:49

πολυ καλο .... αρκει να σκεφτει κανεις πως ο κυριος λογος για το να φυγω απο 3.1.3 ηταν η συμβατοτητα με τα apps....


εισαι πρωτος...
:blush:

#15   spiros23

spiros23

    iPH Guru

  • 9.284 μηνύματα
  • Φύλο: Άντρας
  • Κινητό: iPhone X
  • Tablet:iPad

Δημοσίευση 18/10/2010 - 19:02

προσπαθώ να το κάνω στο Today Lite Greek και δεν ποιάνει γμτ γιατί θέλω να το τρέχω σε 3.1.3 :(

τι ακριβώς πρόβλημα έχεις Dark;; αντίγραψε την εφαρμογή στην επιφάνεια εργασίας, και μόλις τελειώσεις με την επεξεργασία πριν την σύρεις στο itunes σβήσε αυτή που ήδη υπάρχει μέσα. δεν παίζει να μην εγκατασταθεί στο iphone, το πολύ πολύ να μην παίζει, αλλα θα εγκατασταθεί σίγουρα αν κανεις ακριβώς αυτά.

Ad

Ad

Team
iPhoneHellas
3,1416 μηνύματα
Twitter: @android
Φύλο: Όπως το δει κανείς
Κινητό: Android
Tablet: Για τα κουνούπια

Γιατί να γίνετε μέλη;



Χρήστες που διαβάζουν αυτό το θέμα: 0

0 μέλη, 0 επισκέπτες, 0 ανώνυμοι χρήστες